Subject: Re: bug#54698: non-recursive GC marking [PATCH]

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Apr 2022 14:15:15 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 08 Apr 2022 15:41:07 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAIK, it can be set by editing a file.  Details are here:
> >
> >   https://www.digitalocean.com/community/questions/how-can-i-disable-overcommit_memory
> >   https://serverfault.com/questions/485798/cent-os-how-do-i-turn-off-or-reduce-memory-overcommitment-and-is-it-safe-to-do
> 
> Yes, but typically you have to be root to write to that file.

I'm sure RMS is root, or can become one, on his system.

If you are talking about Emacs doing that on its own, then I don''t
think this is a good idea regardless of privileges, since it isn't an
application's business to change a system-wide setting that affects
the entire OS.

> How about adding this in the Memory Full node in the Emacs manual?

I already said I thought we should do that.